libsbml (5.20.5+dfsg-3build1) stonking; urgency=medium

  * No-change rebuild against perl 5.42.3

 -- Ural Tunaboyu <ural@ubuntu.com>  Fri, 21 Aug 2026 07:29:04 -0700

libsbml (5.20.5+dfsg-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Drop Build-Depends: libnewlib-dev
    Closes: #1128320
  * Drop Ivo Maintz from Uploaders (Thank you for your work Ivo)
  * Fix doc-base files
  * Add lintian-overrides for embedded-library libminizip
    (see https://github.com/sbmlteam/libsbml/issues/471 - thanks to
     Santiago Vila for filing it)
  * lintian-overrides for embedded-javascript-library please use libjs-jquery
  * cme fix dpkg-control

  [ Santiago Vila ]
  * Fix clean target.
  * d/salsa-ci.yml: Use the simplified version.

 -- Andreas Tille <tille@debian.org>  Wed, 18 Feb 2026 16:55:00 +0100

libsbml (5.20.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix the value of CMAKE_INSTALL_LIBDIR in the CMake cache
    (Closes: #1125648)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 08 Feb 2026 10:31:51 +0000

libsbml (5.20.5+dfsg-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/rules: pass Octave private libraries path to dh_shlibdeps.
    Necessary for finding liboctmex against which MEX files are linked.
    (Closes: #1114640)

  [ Andreas Tille ]
  * d/watch: version=5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Sat, 13 Dec 2025 15:24:31 +0100

libsbml (5.20.4+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop mono support. (Closes: #1079883, #1091136)
  * New upstream version 5.20.4. (Closes: #1092075)
  * Remove upstream patch.

 -- Bastian Germann <bage@debian.org>  Thu, 09 Jan 2025 21:01:32 +0100

libsbml (5.20.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Added patch from upstream to add libxml2 2.12.0 support.
    Closes: #1073321

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 26 Jun 2024 18:59:21 +0200

libsbml (5.20.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * d/rules: correct test skipping logic for i386.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 04 May 2024 07:55:25 +0200

libsbml (5.20.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * d/rules: skip tests on i386 due to "test_perl_binding" failing.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 03 May 2024 16:23:53 +0200

libsbml (5.20.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix the "any" build.
  * Expand list of non-mono archs, simplify test for C# support.
  * d/rules: only run dh_octave_substvar for the libsbml5-octave
    package.
  * d/control: drop unused latex build-deps
  * d/rules: disable parallel building for now.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Apr 2024 12:28:07 +0200

libsbml (5.20.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Hand write the autopkgtest to only test against the default version
    of Python. Closes: #1069876
  * d/control: skip building mono packages for mips64el and riscv64, as
    mono-runtime is not available for those archs.
  * d/control: remove dep on swig by python3-sbml5. Closes: #1067961
  * d/rules & d/cmake_opts: set Python include and binary paths dynamically.
  * d/rules: Stop setting JDK_PATH & JAVA_INCLUDE_PATH, they aren't
    used.
  * d/rules: unify references to the build directory; use
    dh_auto_configure and dh_auto_make. This also helps with build hardening
    and enables parallel building.
  * d/upstream/metadata: Update for their GitHub repository.
  * d/rules: build and run the tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 29 Apr 2024 16:19:36 +0200

libsbml (5.20.2+dfsg-3) unstable; urgency=medium

  * Drop the Python3-Version attribute
    Closes: #1068105
  * Fix doc-base file

 -- Andreas Tille <tille@debian.org>  Sat, 30 Mar 2024 21:36:28 +0100

libsbml (5.20.2+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062619

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 17:32:20 +0000

libsbml (5.20.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: X-Python3-Version: 3.11 (==)
    While this change is not ideal, because of the upcoming necessary
    upload to bring python3.12 support when it becomes the default, it is
    a short term fix to move the python3.12 migration forward.
    (Closes: #1059650)

 -- Étienne Mollier <emollier@debian.org>  Sun, 31 Dec 2023 15:03:26 +0100

libsbml (5.20.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * add build support for loongarch64
    Closes: #1058906
  * Drop ancient X-Python-Version field (routine-update)
  * Update location of docs in dh_installdocs helpers
  * Use Debian packaged mathjax.js

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2023 14:31:08 +0100

libsbml (5.19.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: bump preferred python3 version to 3.11. (Closes: #1028993)
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Mon, 16 Jan 2023 21:48:17 +0100

libsbml (5.19.7+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Upstream moved to Github
  * New upstream version
  * Install octave tests and cmake files
  * Remove Windows related file from upstream source
  * Just provide default Python3 version support since upstream
    does not support more than one Python3 version and adjust
    python3-sbml5.install
  * lintian-overrides (see lintian bug #1017966)
  * X-Python3-Version: 3.10

  [ Pierre Gruet ]
  * Fixing a wrong import in AutoTestRunner.java
  * Fixing a missing import in the matlab bindings

  [ Étienne Mollier ]
  * d/t/autopkgtest-pkg-python.conf: invoke module as "libsbml".
  * d/control: enable testsuite autopkgtest-pkg-python.

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2022 10:53:13 +0100

libsbml (5.19.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Setting javac source/target level to 7 to be able to build with OpenJDK 17
    (Closes: #1011157)
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Archive, Repository.

 -- Pierre Gruet <pgt@debian.org>  Sun, 29 May 2022 20:33:42 +0200

libsbml (5.19.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add python3.10.patch from Frank T. Bergmann to fix FTBFS with python3.10.
    Thanks to Adrian Bunk (Closes: #1008669)
  * Standards-Version: 4.6.0 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Wed, 30 Mar 2022 22:25:04 +0200

libsbml (5.19.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Install cmake and pkgconfig files
  * Enable dh_missing --fail-missing

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jan 2021 19:34:01 +0100

libsbml (5.18.0+dfsg-2) unstable; urgency=medium

  * Do not attempt to build on several architectures
    Closes: #953584
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 11 Mar 2020 09:53:46 +0100

libsbml (5.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Build-Depends: dh-python
    Closes: #949195
  * Fix installation path of Python modules
    Closes: #922486
  * Enforce Python3 interpreter in examples

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jan 2020 19:10:49 +0100

libsbml (5.17.2+dfsg-3) unstable; urgency=medium

  * Fix link in development package
    Closes: #920849

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 19:17:03 +0100

libsbml (5.17.2+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Add missing Breaks+Replaces: libsbml5-python-doc
    Closes: #919794

  [ Michael R. Crusoe ]
  * Fix build for multiarch cross building (specifically i386 on amd64)
  * Link to jquery and other assets from the default-jdk-doc
  * Slim build-deps (637 → 595) use jdk-headless

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 19 Jan 2019 23:39:33 -0800

libsbml (5.17.2+dfsg-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix Perl installdir
    Closes: #896531

  [ Andreas Tille ]
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * debhelper 12
  * Deal with issue in doclets by removing docs/src/SBMLDoclet.java
  * Remove libsbml-java-doc since doc does not build properly
    Closes: #901455, #911482
  * Provide Python3 instead of Python2 bindings (SBML can only provide
    either Python2 or Python3 - lets do the switch now)
    Closes: #847013
  * Secure URI in copyright format
  * Drop useless get-orig-source target
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * Do not parse d/changelog
  * Build-Depends: libnewlib-dev, check
  * Remove Matlab related options from debian/cmake_opts (thanks for the
    hint to Nicolas Mora)
  * WITH_R=off (we do not build an R package and something is wrong with
    the R build)
  * Do not provide Java doc since there are errors when creating it
    and this solution was suggested by the Debian Java team
  * Fix Perl interpreter path
  * d/copyright: examples have MIT license

 -- Andreas Tille <tille@debian.org>  Thu, 17 Jan 2019 12:12:21 +0100

libsbml (5.16.0+dfsg-2) unstable; urgency=medium

  * Work around javadoc issue with Java 9
    Closes: #893298

 -- Andreas Tille <tille@debian.org>  Sun, 18 Mar 2018 19:49:01 +0100

libsbml (5.16.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-depend on dh-octave instead of octave-pkg-dev (Thanks for the patch
    to Rafael Laboissière <rafael@debian.org>)
    Closes: #890089
  * Standards-Version: 4.1.3
  * debhelper 11
  * Adapt docbase files
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Sun, 11 Feb 2018 22:54:57 +0100

libsbml (5.15.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.0.0 (no changes needed)
  * Removed debian/libsbml5.triggers since now trigger is properly set
    by dh_makeshlibs/10.7.2
  * Rebuild with gcc7
    Closes: #871291

 -- Andreas Tille <tille@debian.org>  Tue, 08 Aug 2017 04:50:29 +0200

libsbml (5.13.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #848021

  [ Afif Elghraoui ]
  * Drop explicit dbg packagas
  * Register changelog with dh_installchangelogs

  [ Andreas Tille ]
  * d/watch:
     - xz compression for repackaged upstream source
     - version=4
  * cme fix dpkg-control
  * hardening=+all
  * Use triggers instead of explicit ldconfig calls
  * debhelper 10
  * Proper dealing with lintian-overrides

 -- Andreas Tille <tille@debian.org>  Thu, 15 Dec 2016 08:17:15 +0100

libsbml (5.12.0+dfsg-3) unstable; urgency=medium

  * Build-Depend from default-jdk instead a specific version
    Closes: #814166

 -- Andreas Tille <tille@debian.org>  Tue, 09 Feb 2016 11:28:36 +0100

libsbml (5.12.0+dfsg-2) unstable; urgency=medium

  * follow Debian CLI library packaging guidelines (add missing dependencies)
    Closes: #808477
  * add debian/libsbmlcsP.dll.config following a hint of Jo Shields in the
    log of bug #808477

 -- Andreas Tille <tille@debian.org>  Sun, 20 Dec 2015 21:28:59 +0100

libsbml (5.12.0+dfsg-1) unstable; urgency=medium

  [ Ivo Maintz ]
  * New upstream version
  * debian/*doc-base: added doc-base integration for the *doc packages
  * debian/control.in: fixed some spelling errors
  * debian/libsbml5-octave.install: turned into a script to install into the
    right location
  * debian/rules: use octave itself do set OCTAVE_PATH
    debian/libsbml5-octave.links.* are obsolete
    install index.html to the proper location
    remove wastful *.md5 files
  * set executable rights on debian/libsbml5-octave.install to let it work
    also in svn-buildpackage

  [ Andreas Tille ]
  * According to https://lists.debian.org/debian-bsd/2014/09/msg00133.html
    libsbml requires openjdk - so we drop all alternatives from the
    dependency list
  * forward port patch to build on mipsel (thanks to Jurica Stanojkovic
    <Jurica.Stanojkovic@imgtec.com> for the original patch)
    Closes: #788068
  * forward port patch to build with SWIG 3.x (thanks to  Logan Rosen
    <logan@ubuntu.com> for the original patch)
    Closes: #805584
  * Rebuild successfully using gcc-5
    Closes: #793256
  * Do not Build-Depend from transitional package mono-gmcs but rather mono-mcs
  * move packaging from SVN to Git
  * cme fix dpkg-control
  * make fiddling around with debian/control due to matlab the exception

 -- Andreas Tille <tille@debian.org>  Fri, 18 Dec 2015 18:13:10 +0100

libsbml (5.10.0+dfsg-1) unstable; urgency=medium

  [Ivo Maintz]
  * debian/cmake_opts: enabled the qual extension
  * debian/rules: added "--download-current-version" in get-orig-source target
    added some more magic to the clean target for proper handling of xz archives
    removed the full delete/unpack part from clean, instead using rm and
    debian/source/options
  * debian/copyright: the path to prettify.js had changed
    added macosx to Files-Excluded
  * debian/watch: changed the name of the source from the bare "core" package
    to the full source pack, containing some more extensions.
  * debian/*links: updated some links to the version of libsbml
  * debian/patches/perl-installdirs.patch added and debian/libsbml5-perl.install
    (thanks to gregor herrmann <gregoa@debian.org> for this solution)

  [ Andreas Tille ]
  * New upstream version
  * debian/upstream -> debian/upstream/metadata
  * debian/control: Drop explicite ruby version in Build-Dependencies
  * debian/copyright: Files-Excluded: prettify.js (Javascript without source)
  * debian/rules: Enable gz and xz archives in clean target
  * rebuild with latest libperl
    Closes: #761134

 -- Ivo Maintz <ivo@maintz.de>  Mon, 25 Aug 2014 14:16:04 +0200

libsbml (5.9.2+dfsg-1) UNRELEASED; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debian/upstream -> debian/upstream/metadata
  * debian/control: Drop explicite ruby version in Build-Dependencies
  * debian/copyright: Files-Excluded: prettify.js (Javascript without source)
  * debian/rules: Enable gz and xz archives in clean target

  [ Ivo Maintz ]
  * added debian/bin/python_fix.sh to bypass a wrong path to the file Python.h
  * drop ruby bindings, can't get it compiled
    Closes: #735453
  * debian/watch: readded the wildcards for *zip and other archive formats

 -- Ivo Maintz <ivo@maintz.de>  Wed, 05 Mar 2014 10:16:44 +0100

libsbml (5.8.0-2) unstable; urgency=medium

  * Put *.m files in the Octave path (thanks for the patch to
    Rafael Laboissiere <rafael@laboissiere.net>)
    Closes: #734048

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2014 00:53:15 +0100

libsbml (5.8.0-1) unstable; urgency=low

  [ Ivo Maintz ]
  * update from upstream
  * switched to cmake for configure (following upstream)
  * added a patch to use correct matlab extensions in chrooted environments

  [ Andreas Tille ]
  * debian/control:
     - added libsbml5-dev to libsbml5-cli dependency
       Closes: #715111
     - cme fix dpkg-control
     - canonical Vcs fields
  * debian/patches/format-security.patch:
    Enable compiling with -Werror=format-security
  * debian/libsbml5-perl.install: Do not try to install not existing
    override

 -- Andreas Tille <tille@debian.org>  Mon, 23 Dec 2013 21:32:47 +0100

libsbml (5.6.0-1) unstable; urgency=low

  [ Ivo Maintz ]
  * update from upstream
  * configured now with --enable-cpp-namespace
  [ Steffen Moeller ]
  * instrucing tar in clean target to keep permissions

 -- Ivo Maintz <ivo@maintz.de>  Thu, 06 Sep 2012 09:21:33 +0200

libsbml (5.4.1-4) UNRELEASED; urgency=low

  [ Steffen ]
  * Removed everyone from Uploaders except Ivo
    - Ivo also builds the libsbml5-matlab package, the
      control file is changed dynamically when the Matlab
      development environment is detected.
    - Matlab creator Mathworks provides their development
      package to help us.

  [ Andreas Tille ]
  * debian/upstream: Make author field BibTeX compliant

 -- Steffen <moeller@debian.org>  Tue, 10 Apr 2012 13:50:44 +0200

libsbml (5.4.1-3) unstable; urgency=low

  * debian/control: removed dependency on swig2.0 (Closes: #667652)
    thanks to Peter Green for the hint.
  * debian/control: added myself to uploaders

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Apr 2012 18:44:30 +0200

libsbml (5.4.1-2) unstable; urgency=low

  * added a patch to correct misspelled words in th source
  * debian/rules:
    added some lines to remove almost all lintian remarks
  * debian/*.docs:
    added, to have an upstream changelog in every package
  * debian/docs:
    removed, is not used anymore

 -- Ivo Maintz <ivo@maintz.de>  Fri, 30 Mar 2012 14:44:30 +0200

libsbml (5.4.1-1) unstable; urgency=low

  [ Ivo Maintz ]
  * update from upstream (Closes: #665837)
  * debian/control.in: added swig to libsbml5-python dependencies
  * debian/README.source:
    added some information
  * debian/rules:
    - added code to create a debian/libsbml5-octave.install file
      dependent on the install dircetory of the octave files
    - enhanced shlibdeps checking to remove the hardcoded dependency
      to libc6
      Closes: #659808
  * debian/dirs:
    deleted
  * debian/libsbml5-octave.install:
    deleted

  [ Andreas Tille ]
  * debian/control:
    - Added Homepage field
    - Versioned debhelper dependency
  * debian/compat: 8
  * debian/rules:
     - remove useless dh_make boilerplate
     - adapt get-orig-source target to what is written
       in README.source and removed older repackaging
       code
  * mv debian/README.Debian-source debian/README.source
  * debian/docs: No point in installing debian/README.source
  * delete advise about how to get the source tarball in favour
    of the code written in debian/rules:get-orig-source target
  * debian/upstream: citation information

 -- Ivo Maintz <ivo@maintz.de>  Thu, 29 Mar 2012 18:04:00 +0200

libsbml (5.4.0-1) UNRELEASED; urgency=low

  * update from upstream
  * removed the libsbml5-*-doc packages; the docu don't compile
    with doxygen > 1.6.3
  * moved libsbml5-matlab to contrib

 -- Ivo Maintz <ivo@maintz.de>  Tue, 21 Feb 2012 10:43:20 +0100

libsbml (5.3.0-1) UNRELEASED; urgency=low

  * update from upstream

 -- Ivo Maintz <ivo@maintz.de>  Thu, 12 Jan 2012 12:15:56 +0100

libsbml (5.2.0-1) unstable; urgency=low

  * Update from upstream
  * Initial upload (Closes: #241111, #277748).

 -- Ivo Maintz <ivo@maintz.de>  Mon, 14 Nov 2011 13:08:05 +0100

libsbml (5.1.0~b0-1) unstable; urgency=low

  * Upstream update
  * Fix debian/watch to find new upstream versions [Steffen]

 -- Ivo Maintz <ivo@maintz.de>  Mon, 19 Sep 2011 15:33:42 +0200

libsbml (3.4.0-1) UNRELEASED; urgency=low

  * Upstream update.

 -- Moriyoshi Koizumi <mozo@sfc.keio.ac.jp>  Tue, 16 Jun 2009 19:42:00 +0900

libsbml (3.3.2-1) UNRELEASED; urgency=low

  * Upstream update.

 -- Moriyoshi Koizumi <mozo@sfc.keio.ac.jp>  Wed, 03 Jun 2009 02:30:07 +0900

libsbml (3.3.1-1) UNRELEASED; urgency=low

  * Initial release (Closes: #241111)

 -- David Paleino <d.paleino@gmail.com>  Tue, 10 Feb 2009 14:36:09 +0100
